Bug 664240 - Cannot reconnect to Mobile Broadband Connection
Cannot reconnect to Mobile Broadband Connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
16
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 08:42 EST by Fabio Canepa
Modified: 2013-02-13 19:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:40:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
var/log/messages contrasting failed and successful reconnections (18.72 KB, text/plain)
2011-01-25 21:29 EST, amturnip
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 566812 None None None Never

  None (edit)
Description Fabio Canepa 2010-12-19 08:42:51 EST
Description of problem:
I'm using my Nokia E52 cellphone as a 3g modem using the nokia usb cable: the first time a start the connection everything works properly but if I disconnect the connection from the nm-applet and then try to reconnect (always using nm-applet) the connection does not start. 

These are the logs during disconnection:

NetworkManager[3503]: <info> (ttyACM0): device state change: 8 -> 3 (reason 39)
NetworkManager[3503]: <info> (ttyACM0): deactivating device (reason: 39).
Terminating on signal 15
** Message: nm-ppp-plugin: (nm_phasechange): status 10 / phase 'terminate'
** Message: nm-ppp-plugin: (nm_phasechange): status 8 / phase 'network'
Connect time 1.2 minutes.
Sent 0 bytes, received 0 bytes.
NetworkManager[3503]: <info> Updating /etc/hosts with new system hostname
Script /etc/ppp/ip-down started (pid 3956)
** Message: nm-ppp-plugin: (nm_phasechange): status 5 / phase 'establish'
sent [LCP TermReq id=0x3 "User request"]
rcvd [LCP TermAck id=0x3]
** Message: nm-ppp-plugin: (nm_phasechange): status 11 / phase 'disconnect'
Connection terminated.
** Message: nm-ppp-plugin: (nm_phasechange): status 1 / phase 'dead'
Script /etc/ppp/ip-down finished (pid 3956), status = 0x0
** Message: nm-ppp-plugin: (nm_exit_notify): cleaning up
NetworkManager[3503]: <info> disconnect failed: (32) The serial port is not open.

These are the log when I try to reconnect:

NetworkManager[3503]: <info> Activation (ttyACM0) starting connection 'TIM Internet / Alice'
NetworkManager[3503]: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
NetworkManager[3503]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager[3503]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
NetworkManager[3503]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager[3503]: <warn> GSM connection failed: (32) Sending command failed: device is not enabled
NetworkManager[3503]: <info> (ttyACM0): device state change: 4 -> 9 (reason 1)
NetworkManager[3503]: <info> Marking connection 'TIM Internet / Alice' invalid.
NetworkManager[3503]: <warn> Activation (ttyACM0) failed.
NetworkManager[3503]: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
NetworkManager[3503]: <info> (ttyACM0): deactivating device (reason: 0).
NetworkManager[3503]: <info> disconnect failed: (32) The serial port is not open.

Version-Release number of selected component (if applicable):
Fedora 14 fully updated
ModemManager-0.4-4.git20100720.fc14.x86_64 

How reproducible:
Always


Steps to Reproduce:
1. Connect to a Mobile Broadband connection using nm-applet
2. Disconnect from the Mobile Broadband connection using nm-applet
3. Try to reconnect to the Mobile Broadband connection using nm-applet
  
Actual results:

The mobile connection does not start

Expected results:

The mobile connection starts


Additional info:
Comment 1 amturnip 2011-01-25 21:27:35 EST
Me too.  If the connection is broken (whether by me using NetworkManager, or by the modem "hanging up" contrary to my wishes), then attempting to reconnect with NetworkManager fails.  NetworkManager does not show any signs.

Additional information:  If I kill modem-manager before attempting to reconnect, the reconnection succeeds.

Modem: 
 Pantech UML-290 modem from Verizon

Packages:
 ModemManager-0.4-4.git20100720.fc13.i686
 NetworkManager-0.8.1-10.git20100831.fc13.i686
 ppp-2.4.5-9.fc13.i686

I will attach a stretch of /var/log/messages spanning the following sequence, punctuated approximately by log lines with the "uml290-adventure" tag:

1. I insert the modem. 
2. Works great.
3. I disconnect using NetworkManager.
4. I try, and fail, to reconnect using cnetworkmanager. 
5. I kill modem-manager.
6. I successfully connect using cnetworkmanager.
Comment 2 amturnip 2011-01-25 21:29:22 EST
Created attachment 475321 [details]
var/log/messages contrasting failed and successful reconnections
Comment 3 Rodrigo de Farias Gomes 2011-04-23 16:58:55 EDT
Maybe the patch proposed in https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/566812/comments/8 can help...
Comment 4 Dan Williams 2011-08-02 12:24:33 EDT
First, the UML290 is an odd beast that isn't quite yet supported because it really requires a proprietary protocol go make use of the device (to actually get LTE speeds since PPP is a bottleneck, and to roam between LTE and EVDO networks).

But second, it appears that ModemManager is not talking correctly to the device.  Can you get a bit more debug output from modem-manager?  Try the following:

1) unplug your device
2) get a root terminal
3) mv /usr/sbin/modem-manager /
4) killall -TERM modem-manager
5) /modem-manager --debug
6) replug your dongle, reproduce the issue
7) paste or attach that log output from modem-manager into this bug report
8) hit Ctl+C to stop modem-manager
9) mv /modem-manager /usr/sbin/modem-manager

and then we can diagnose what's going on.
Comment 5 amturnip 2011-08-14 16:07:29 EDT
(I no longer have the use of a UML-290. Retiring from the cc list.)
Comment 6 Jan Kratochvil 2011-12-11 14:50:18 EST
still buggy in: NetworkManager-0.9.2-1.fc16.x86_64
NM no longer displays the Mobile Broadband connection possibility for me, I will reply after a reboot in the future.  Huawei E220.  Remote login upon request.
Comment 7 Fedora End Of Life 2013-01-16 16:59:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 19:40:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.